import 'package:flutter/material.dart' as f show MaterialApp, ThemeData;
import 'package:particle_ui/particle.dart';

class App extends StatelessWidget {
  final ThemeSettings theme;
  final String title;
  final Widget home;
  final Map<String, WidgetBuilder> routes;
  final List<SingleChildWidget> providers;

  const App(
      {Key key, this.theme, this.title, this.home, this.routes, this.providers})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    /*ThemeSettings a = ThemeSettings(appBarSettings: {AppBarOptions.base: AppBarStyle(
        height: 56,
        color: ColorStyle('784028'))});*/

    ThemeSettings _theme = theme ?? ThemeSettings.fallback();

    Color _bgColor = _theme.fills != null ? _theme.fills[FillType.background] : Color('FFFFFF');

    return Theme(settings: _theme, child: MultiProvider(
      providers: providers,
      child: f.MaterialApp(
          theme: f.ThemeData(
              scaffoldBackgroundColor: _bgColor.to32BitARGBColor(),
              //primaryColor: _theme.colorSettings[ColorOptions.primary].to32BitARGBColor(),
              //accentColor: _theme.colorSettings[ColorOptions.accent].to32BitARGBColor()
          ),
          title: title,
          home: home,
          routes: routes),
    ));
  }
}
